com.brightcove.ssai.seek

## Class SeekManager

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.ssai.seek.SeekManager

- All Implemented Interfaces:
    Component

      @Emits(events="seekTo")
       @ListensFor(events={"seekTo","didSeekTo"})
      public class SeekManager
      extends AbstractComponent

  Class responsible to manage SSAI seek events.

- - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeekManager(EventEmitter emitter, Timeline timeline)` Instantiates a new Seek manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addSeekListener(SeekListener seekListener)` Adds a seek listener
    `void` | `removeAllSeekListeners()` Removes all seek listeners.
    `void` | `removeListeners()` Removes all set listeners from the EventEmitter.
    `boolean` | `removeSeekListener(SeekListener seekListener)` Removes a seek listener

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeekManager

          public SeekManager(EventEmitter emitter,
                             Timeline timeline)

      Instantiates a new Seek manager.
      Parameters:
        `emitter` - the event emitter
        `timeline` - the timeline

  - ### Method Detail

    - #### removeListeners

          public void removeListeners()

      Description copied from class: `AbstractComponent`
      Removes all set listeners from the EventEmitter.
      Overrides:
        `removeListeners` in class `AbstractComponent`

    - #### addSeekListener

          public boolean addSeekListener(@NonNull
                                         SeekListener seekListener)

      Adds a seek listener
      Parameters:
        `seekListener` - the seek listener
      Returns:
        true if added successfully

    - #### removeSeekListener

          public boolean removeSeekListener(@NonNull
                                            SeekListener seekListener)

      Removes a seek listener
      Parameters:
        `seekListener` - the seek listener
      Returns:
        true if removed successfully

    - #### removeAllSeekListeners

          public void removeAllSeekListeners()

      Removes all seek listeners.